Returns HOS logs between a given startTime and endTime. The logs can be further filtered using tags or by providing a list of driver IDs (including external IDs). The legacy version of this endpoint can be found at samsara.com/api-legacy.
Note: If data is still being uploaded from the Samsara Driver App, it may not be completely reflected in the response from this endpoint. The best practice is to wait a couple of days before querying this endpoint to make sure that all data from the Samsara Driver App has been uploaded.
Rate limit: 5 requests/sec (learn more about rate limits here).
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read ELD Compliance Settings (US) under the Compliance category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/hos/logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driver": {
"id": "88668",
"name": "Susan Bob"
},
"hosLogs": [
{
"logStartTime": "2020-01-27T07:06:25Z",
"codrivers": [
{
"id": "88668",
"name": "Susan Bob"
}
],
"hosStatusType": "offDuty",
"logEndTime": "2020-01-27T07:06:25Z",
"logRecordedLocation": {
"latitude": 122.142,
"longitude": -93.343
},
"remark": "Lunch Break",
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of driver IDs. Example: driverIds=1234,5678
A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/fleet/hos/logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driver": {
"id": "88668",
"name": "Susan Bob"
},
"hosLogs": [
{
"logStartTime": "2020-01-27T07:06:25Z",
"codrivers": [
{
"id": "88668",
"name": "Susan Bob"
}
],
"hosStatusType": "offDuty",
"logEndTime": "2020-01-27T07:06:25Z",
"logRecordedLocation": {
"latitude": 122.142,
"longitude": -93.343
},
"remark": "Lunch Break",
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}